﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-08-10
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 *==============================================================================*/

namespace ProgramComponent.LanguageComponent
{
    using System;
    using System.Linq;
    using System.Linq.Expressions;

    public class IfElseLanguageComponent : LanguageComponentBlock
    {
        public Func<bool> Exp { get; set; }

        public override void Run(ProgramBookmarkManager mgr)
        {
            if (Exp())
                base.Statements[0].Run(mgr);
            else
                base.Statements[1].Run(mgr);
        }
    }
}
